Bug 8608 - Enumerating users over NSS doesn't work with idmap_ad
Enumerating users over NSS doesn't work with idmap_ad
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Winbind
3.5.11
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 16:08 UTC by Andreas Schneider
Modified: 2011-11-25 19:23 UTC (History)
1 user (show)

See Also:


Attachments
v3-6-test patch (1.95 KB, patch)
2011-11-15 15:54 UTC, Andreas Schneider
no flags Details
v3-5-test patch (1.94 KB, patch)
2011-11-15 15:58 UTC, Andreas Schneider
no flags Details
v3-6-test patch2 (851 bytes, patch)
2011-11-18 15:02 UTC, Andreas Schneider
no flags Details
v3-5-test patch2 (1.90 KB, patch)
2011-11-18 15:11 UTC, Andreas Schneider
no flags Details
v3-5-test patch3 (1.90 KB, patch)
2011-11-19 09:05 UTC, Andreas Schneider
no flags Details
v3-6-test patch3 (1.91 KB, patch)
2011-11-22 12:01 UTC, Andreas Schneider
vl: review+
Details
v3-5-test patch4 (1.90 KB, patch)
2011-11-22 12:01 UTC, Andreas Schneider
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2011-11-14 16:08:30 UTC
Description of problem:

* You have a domain with with unix extensions enabled
* You have a winbind joined to the domain with idmap_ad backend
* You enabled enumerating users
* You gave uid's to most of your users

If you call 'getent passwd' and a user has no uid the enumeration will stop cause the return when trying to map this user is 'NT_STATUS_NONE_MAPPED'. We should not stop here, but ignore the user and go ahead.

Patches for 3.5 and 3.6 will follow.
Comment 1 Andreas Schneider 2011-11-15 15:54:33 UTC
Created attachment 7100 [details]
v3-6-test patch
Comment 2 Andreas Schneider 2011-11-15 15:58:06 UTC
Created attachment 7101 [details]
v3-5-test patch
Comment 3 Michael Adam 2011-11-17 14:17:23 UTC
Andreas, this is precisely the sort of fix I had in mind when discussing this on irc. I'd like Volker or Metze to review because of the tevent_req foo..

Michael
Comment 4 Andreas Schneider 2011-11-18 15:02:38 UTC
Created attachment 7122 [details]
v3-6-test patch2
Comment 5 Andreas Schneider 2011-11-18 15:11:29 UTC
Created attachment 7123 [details]
v3-5-test patch2
Comment 6 Stefan Metzmacher 2011-11-18 22:32:14 UTC
Comment on attachment 7122 [details]
v3-6-test patch2

Is this patch for this bug?
Comment 7 Andreas Schneider 2011-11-19 09:05:33 UTC
Created attachment 7127 [details]
v3-5-test patch3
Comment 8 Andreas Schneider 2011-11-22 12:01:04 UTC
Created attachment 7136 [details]
v3-6-test patch3
Comment 9 Andreas Schneider 2011-11-22 12:01:57 UTC
Created attachment 7137 [details]
v3-5-test patch4
Comment 10 Andreas Schneider 2011-11-22 12:02:59 UTC
Sorry for the mix up.
Comment 11 Andreas Schneider 2011-11-22 19:37:51 UTC
Karolin, can you please apply and push the patches? Thanks!
Comment 12 Karolin Seeger 2011-11-25 19:23:24 UTC
Pushed to v3-6-test and v3-5-test.
Closing out bug report.

Thanks!